DPTEST(1)

NAME
dptest - test cases for QDBM Depot

SYNOPSIS

dptest write [-s] name rnum bnum
dptest read [-wb] name
dptest rcat [-c] name rnum bnum pnum align
dptest combo name
dptest wicked [-c] name rnum

DESCRIPTION

The command `dptest' is a utility for facility test and performance test. Check a database generated by the command or measure the execution time of the command. This command is used in the following format. `name' specifies a database name. `rnum' specifies the number of the records. `bnum' specifies the number of the elements of the bucket array. `pnum' specifies the number of patterns of the keys. `align' specifies the basic size of alignment. `fbpsiz' specifies the size of the free block pool.

dptest write [-s] name rnum bnum
    Store records with keys of 8 bytes. They change as `00000001', `00000002'...

dptest read [-wb] name
    Retrieve all records of the database above.

dptest rcat [-c] name rnum bnum pnum align fbpsiz
    Store records with partway duplicated keys using concatenate mode.

dptest combo name
    Perform combination test of various operations.

dptest wicked [-c] name rnum
    Perform updating operations selected at random.

Options feature the following.

    -s : make the file sparse.
    -wb : use the function `dpgetwb' instead of the function `dpget'.
    -c : perform comparison test with map of Cabin.

This command returns 0 on success, another on failure. The environment variable `QDBMDBGFD' specifies the file descriptor to output the history of updating the variable `dpecode'.

SEE ALSO

qdbm(3), depot(3)

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.